Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.props

# Class InvalidPropertyValueException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.firebirdsql.jaybird.props.InvalidPropertyValueException

All Implemented Interfaces:
  `Serializable`

public class InvalidPropertyValueException extends IllegalArgumentException
Exception thrown when a connection property has an invalid value.

This exception always has a `SQLException` as cause.

Since:
  5
Author:
  Mark Rotteveel
See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`SQLException`
`asSQLException()`
`static InvalidPropertyValueException`
`invalidProperty(String name, String value)`
`static InvalidPropertyValueException`
`invalidProperty(String name, String value, String additionalDetails)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### asSQLException

public SQLException asSQLException()

### invalidProperty

public static InvalidPropertyValueException invalidProperty(String name, String value)

### invalidProperty

public static InvalidPropertyValueException invalidProperty(String name, String value, String additionalDetails)